Extending Qt Creator Manual | ThreadId

Extending Qt Creator Manual 4.7.1

# ThreadId Class

(Debugger::Internal::ThreadId)

- List of all members, including inherited members

## Public Functions

| ThreadId()
| ThreadId(int id)
bool | isValid() const
int | raw() const
bool | operator!=(const Debugger::Internal::ThreadId other) const
bool | operator==(const Debugger::Internal::ThreadId other) const

## Member Function Documentation

### ThreadId::ThreadId()

Default constructs an instance of ThreadId.

### ThreadId::ThreadId(int id)

Default constructs an instance of ThreadId.

### bool ThreadId::isValid() const

### int ThreadId::raw() const

### bool ThreadId::operator!=(const Debugger::Internal::ThreadId other) const

### bool ThreadId::operator==(const Debugger::Internal::ThreadId other) const